###########################################
#                                         #
#  Improvements and feedback are welcome  #
#                                         #
#  This file is released under GPL >= 3   #
#                                         #
###########################################

tde_setup_architecture_flags( )

include(TestBigEndian)
test_big_endian(WORDS_BIGENDIAN)

tde_setup_largefiles( )


##### check for gcc visibility support

if( WITH_GCC_VISIBILITY )
  tde_setup_gcc_visibility( )
endif( WITH_GCC_VISIBILITY )


##### look for X11 headers

find_package( X11 )


##### check for nspr

pkg_search_module( NSPR nspr )

if( NSPR_FOUND )
    find_path( NSPR_INCLUDE_DIR nspr/prtypes.h )
    set( NSPR_INCLUDE_DIRS "${NSPR_INCLUDE_DIR}/nspr" )
 else()
    tde_message_fatal( "nspr4 headers are required but were not found on your system" )
endif()


##### check for libXaw(7)

pkg_search_module( LIBXAW7 xaw7 )

if( LIBXAW7_FOUND )
    find_path( LIBXAW7_INCLUDE_DIR X11/Xaw/Box.h )
    set( LIBXAW7_INCLUDE_DIRS "${LIBXAW7_INCLUDE_DIR}" )
 else()
    tde_message_fatal( "libXaw7 is required but was not found on your system" )
endif()


##### check for the math libc

find_library( MATH_LIBC m )
